WordPress.org

Ready to get started?Download WordPress

Forums

Question about the new PHP requirement. (4 posts)

  1. cronus3166
    Member
    Posted 3 years ago #

    Hello.

    So after upgrading to 3.2.1 I've been having some serious issues. Mainly, I'm unable to access my dashboard. When I try to load up the /wp-login.php nothing happens and the website remains on the same page.

    So I came here and browsed around first and came across the new PHP and MySQL requirements. Thankfully the MySQL is up-to-date, however, my PHP is not.

    My host currently has the PHP at version: 5.2.12.
    I sent them a message asking if it would be possible for them to upgrade and this was their response.

    Hello,

    Thank you for your reply.

    Unfortunately, it is not possible to upgrade the PHP version. We may upgrade it in the near future but we cannot provide the exact time frame. However, you can try installing the application and it may work.

    Thank you!

    So my question is, could this issue be causing the problems I'm currently having with being unable to access the dashboard, or is it something else? Also, will I be un-able to use wordpress until my host upgrades the .12 to .4?

    Thanks for any help in advance.

  2. Josh
    Member
    Posted 3 years ago #

    5.2.12 is more recent than 5.2.4. http://php.net/releases/index.php

    So you're good there.

    Couple things to check: a plugin could be causing the error. disable all of them, then turn them on, one by one. You'll need to go this route: http://codex.wordpress.org/FAQ_Troubleshooting#How_to_deactivate_all_plugins_when_not_able_to_access_the_administrative_menus.3F

    Another possibility is that your update to 3.2.1 failed. Here's a guide for that: http://digwp.com/2011/04/wordpress-auto-updates/

  3. cronus3166
    Member
    Posted 3 years ago #

    Numbers are weird >_<

    I've disabled plug-ins and that was a no-go so far. /wp-login.php still won't load for me.

    So I'm going to go through and check the install tomorrow. Thanks for the help and advise so far :)

  4. fonglh
    Member
    Posted 3 years ago #

    There's nothing weird about the numbers. 12 is bigger than 4, so 5.2.12 is more recent than 5.2.4.

    Try doing a manual upgrade by uploading a fresh copy of the files except the wp-content folder.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.